<?php
include('config/db.php'); 
require 'config/send_mail.php';

$today = new DateTime();
$today->setTime(0, 0, 0);

$today = new DateTime();  // Gets today's date


// Query to get invoices with due dates
$query = "SELECT * FROM invoice_details 
            JOIN student_details ON invoice_details.Student_id = student_details.sid 
            WHERE STR_TO_DATE(invoice_details.due_date, '%d-%b-%y') <= CURDATE() 
            AND invoice_details.payment_details = 0";
$result = mysqli_query($conn, $query);



if ($result) {
    while ($row = mysqli_fetch_assoc($result)) {
        $dueDate = new DateTime($row['due_date']);
        $studentName = $row['student_name'];
        $payerName = $row['payer_name'];
        $email = $row['email'];
        $amount = $row['amount'];
        $reason = $row['reason_for_collection'];
        $status = (new DateTime() > $dueDate) ? "Overdue" : "Due Today";

        // Prepare email content
        $subject = "Payment Reminder for $studentName";
        $body = "
        <h2>Dear $payerName,</h2>
        <p>This is a reminder that a payment of <strong>$amount</strong> is $status.</p>
        <p><strong>Due Date:</strong> {$dueDate->format('Y-m-d')}</p>
        <p><strong>Reason for Collection:</strong> $reason</p>
        <p>Please make your payment at your earliest convenience.</p>
        <p>Thank you!</p>";

        // Send email
        $emailResult = sendEmail($email, $subject, $body);

        if ($emailResult !== true) {
            echo "Failed to send email to $email: $emailResult";
        } else {
            echo "Email sent successfully to $email.";
        }
    }
} else {
    echo "Error: " . mysqli_error($conn);
}
?>
