<?php
session_start();
include('config/db.php'); 

require 'assets/index/vendor/autoload.php';
require 'config/send_mail.php';

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

if (isset($_POST['save_excel_data'])) {
    // File upload check
    if ($_FILES['import_file']['error'] !== UPLOAD_ERR_OK) {
        die("File upload failed with error code: " . $_FILES['import_file']['error']);
    }

    $filename = $_FILES['import_file']['name'];
    $file_ext = pathinfo($filename, PATHINFO_EXTENSION);
    $allowed_ext = ['xls', 'csv', 'xlsx'];

    if (in_array($file_ext, $allowed_ext)) {
        $inputFileNamePath = $_FILES['import_file']['tmp_name'];
        $spreadsheet = \PhpOffice\PhpSpreadsheet\IOFactory::load($inputFileNamePath);
        $data = $spreadsheet->getActiveSheet()->toArray();

        $count = 0;
        foreach ($data as $row) {
            // Skip header row
            if ($count > 0) {
                $bp = $row[2]; // Assuming payer_mobile_number is in the 3rd column
                $sql = "SELECT * FROM `student_details` WHERE payer_mobile_number='$bp'";
                $result = mysqli_query($conn, $sql);
                $number = mysqli_fetch_assoc($result); 
                $mobileNumber = $number['payer_mobile_number'];

                // Check if row has valid data
                if (
                    $mobileNumber != $bp && !empty(array_filter($row))
                ) {
                    // Insert new student
                    $payer_name = $row[0];
                    $student_name = $row[1];
                    $payer_mobile_number = $row[2];
                    $email = $row[3];

                    $student = "INSERT INTO `student_details`(`payer_name`, `student_name`, `payer_mobile_number`, `email`)
                                VALUES ('$payer_name','$student_name','$payer_mobile_number','$email')";
                    $result = mysqli_query($conn, $student);
                    if (!$result) {
                        die("Student insert failed: " . mysqli_error($conn));
                    }

                    // Get last inserted ID
                    $last_id = $conn->insert_id;

                    // Prepare invoice data
                    $payment_type = $row[4];
                    $amount = $row[5];
                    $reason_for_collection = $row[6];
                    $due_date = $row[7];
                    $details = $row[8];
                    $reference = $row[9];
                    $comment = $row[10];
                    $schedule_date = $row[11];
                    $overdue_days = $row[12];
                    $rule = $row[13];

                    $invoice = "INSERT INTO `invoice_details`(`Student_id`, `payment_type`, `amount`, `reason_for_collection`, `due_date`, `deatails`, `reference`, `comment`, `schedule_date`, `overdue_days`, `rule`) 
                                VALUES ('$last_id','$payment_type','$amount','$reason_for_collection','$due_date','$details','$reference','$comment','$schedule_date','$overdue_days','$rule')";
                    $resultss = mysqli_query($conn, $invoice);
                    if (!$resultss) {
                        die("Invoice insert failed: " . mysqli_error($conn));
                    }







                    $invoice_id = $conn->insert_id;




                    $query = "SELECT payment_details FROM `invoice_details` WHERE iid = '$invoice_id'";
                    $result = mysqli_query($conn, $query);
                    
                    
                        $row = mysqli_fetch_assoc($result);






                    $recipient = $email;
                    $subject = "Payment Reminder for " . $student_name;
    
     $body = '<div id="invoiceholder" style="width:100%; height:auto; padding-top: 50px; background-color: #E0E0E0; font-family: \'Roboto\', sans-serif;">
      <div id="invoice" class="effect2" style="margin: 0 auto; width: 700px; background: #FFF; border: 1px solid #EEE; box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);">
        <div id="invoice-top" style="min-height: 120px; border-bottom: 1px solid #EEE; padding: 30px;">
          <div class="logo" style="float: left; height: 60px; width: 60px; background: url(\'assets/index/dash/assets/img/avatars/360.jpg\') no-repeat; background-size: 60px 60px;"></div>
          <div class="info" style="display: block; float:left; margin-left: 20px;">    
            <h2 style="font-size: 1.5em; color: #222;">Kumonon Tution Center</h2>
            <p style="color: #666; line-height: 1.2em;">kumonon@gmail.com<br> 1234567890 </p>
          </div>
          <div class="title" style="float: right;">
            <h1 style="font-size: 1.5em; color: #222;">Invoice #'.$invoice_id.'</h1>
            <p style="text-align: right;">Issued: '.$schedule_date.' <br> Payment Due: '.$due_date.'</p>
          </div>
        </div>
    
        <div id="invoice-mid" style="min-height: 120px; border-bottom: 1px solid #EEE; padding: 30px;">
          <div class="clientlogo" style="float: left; height: 60px; width: 60px; background: url(\'http://michaeltruong.ca/images/client.jpg\') no-repeat; background-size: 60px 60px; border-radius: 50px;"></div>
          <div class="info" style="display: block; float:left; margin-left: 20px;">
            <h2 style="font-size: 1.5em;">'.$student_name.'</h2>
            <h3 style="font-size: 1em;">'.$payer_name.'</h3>
            <p style="color: #666; line-height: 1.2em;">'.$email.'<br> '.$payer_mobile_number.'</p>
          </div>
          <div id="project" style="margin-left: 52%;">
            <h2 style="font-size: 1.5em;">Reason for Collection</h2>
            <p style="color: #666; line-height: 1.2em;">'.($reason_for_collection == '' ? 'Tution Fees for this Month' : $reason_for_collection).'</p>
          </div>
        </div>
    
        <div id="invoice-bot" style="min-height: 250px; border-top: 1px solid #EEE; padding: 30px;">
          <div id="table" style="width: 100%; border-collapse: collapse;">
            <table style="width: 100%; border-collapse: collapse;">
              <tr style="background: #EEE;">
                <td style="padding: 5px; border: 1px solid #EEE;"><h2 style="margin: 0;">For the Month</h2></td>
                <td style="padding: 5px; border: 1px solid #EEE;"><h2 style="margin: 0;">Count of Invoice</h2></td>
                <td style="padding: 5px; border: 1px solid #EEE;"><h2 style="margin: 0;">Price</h2></td>
                <td style="padding: 5px; border: 1px solid #EEE;"><h2 style="margin: 0;">Status</h2></td>
              </tr>
              <tr style="border: 1px solid #EEE;">
                <td style="padding: 5px; border: 1px solid #EEE;"><p style="margin: 0;">'.$schedule_date.'</p></td>
                <td style="padding: 5px; border: 1px solid #EEE;"><p style="margin: 0;">1</p></td>
                <td style="padding: 5px; border: 1px solid #EEE;"><p style="margin: 0;">$'.$amount.'</p></td>
                <td style="padding: 5px; border: 1px solid #EEE;"><p style="margin: 0;">'.($row['payment_details'] == 1 ? 'Paid' : 'Unpaid').'</p></td>
              </tr>
            </table>
          </div>
          <div id="legalcopy" style="margin-top: 30px;">
            <p style="width:70%;"><strong>Thank you for your business!</strong> Payment is expected within 31 days; please process this invoice within that time. There will be a 5% interest charge per month on late invoices.</p>
          </div>
        </div>
      </div>
    </div>';
    
                  
    
         $emailResult = sendEmail($recipient, $subject, $body);
    
         if ($emailResult !== true) {
            $_SESSION['message'] = "Email error: $emailResult";
        } else {
            $_SESSION['message'] = "Email sent successfully!";
        }


















                    
                    $msg = true;

                } elseif ($mobileNumber == $bp && !empty(array_filter($row))) {
                    // Update existing student
                   
                    $payer_name = $row[0];
                    $student_name = $row[1];
                    $payer_mobile_number = $row[2];
                    $email = $row[3];
                   
                   
                    $sids = $number['sid']; 
                    $payment_type = $row[4];
                    $amount = $row[5];
                    $reason_for_collection = $row[6];
                    $due_date = $row[7];
                    $details = $row[8];
                    $reference = $row[9];
                    $comment = $row[10];
                    $schedule_date = $row[11];
                    $overdue_days = $row[12];
                    $rule = $row[13];

                    $invoice = "INSERT INTO `invoice_details`(`Student_id`, `payment_type`, `amount`, `reason_for_collection`, `due_date`, `deatails`, `reference`, `comment`, `schedule_date`, `overdue_days`, `rule`) 
                                VALUES ('$sids','$payment_type','$amount','$reason_for_collection','$due_date','$details','$reference','$comment','$schedule_date','$overdue_days','$rule')";
                    $resultss = mysqli_query($conn, $invoice);
                    if (!$resultss) {
                        die("Invoice insert failed: " . mysqli_error($conn));
                    }


                    


                

                 














































                    $invoice_id = $conn->insert_id;




                    $query = "SELECT payment_details FROM `invoice_details` WHERE iid = '$invoice_id'";
                    $result = mysqli_query($conn, $query);
                    
                    
                        $row = mysqli_fetch_assoc($result);






                    $recipient = $email;
                    $subject = "Payment Reminder for " . $student_name;    
     $body = '<div id="invoiceholder" style="width:100%; height:auto; padding-top: 50px; background-color: #E0E0E0; font-family: \'Roboto\', sans-serif;">
      <div id="invoice" class="effect2" style="margin: 0 auto; width: 700px; background: #FFF; border: 1px solid #EEE; box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);">
        <div id="invoice-top" style="min-height: 120px; border-bottom: 1px solid #EEE; padding: 30px;">
          <div class="logo" style="float: left; height: 60px; width: 60px; background: url(\'assets/index/dash/assets/img/avatars/360.jpg\') no-repeat; background-size: 60px 60px;"></div>
          <div class="info" style="display: block; float:left; margin-left: 20px;">    
            <h2 style="font-size: 1.5em; color: #222;">Kumonon Tution Center</h2>
            <p style="color: #666; line-height: 1.2em;">kumonon@gmail.com<br> 1234567890 </p>
          </div>
          <div class="title" style="float: right;">
            <h1 style="font-size: 1.5em; color: #222;">Invoice #'.$invoice_id.'</h1>
            <p style="text-align: right;">Issued: '.$schedule_date.' <br> Payment Due: '.$due_date.'</p>
          </div>
        </div>
    
        <div id="invoice-mid" style="min-height: 120px; border-bottom: 1px solid #EEE; padding: 30px;">
          <div class="clientlogo" style="float: left; height: 60px; width: 60px; background: url(\'http://michaeltruong.ca/images/client.jpg\') no-repeat; background-size: 60px 60px; border-radius: 50px;"></div>
          <div class="info" style="display: block; float:left; margin-left: 20px;">
            <h2 style="font-size: 1.5em;">'.$student_name.'</h2>
            <h3 style="font-size: 1em;">'.$payer_name.'</h3>
            <p style="color: #666; line-height: 1.2em;">'.$email.'<br> '.$payer_mobile_number.'</p>
          </div>
          <div id="project" style="margin-left: 52%;">
            <h2 style="font-size: 1.5em;">Reason for Collection</h2>
            <p style="color: #666; line-height: 1.2em;">'.($reason_for_collection == '' ? 'Tution Fees for this Month' : $reason_for_collection).'</p>
          </div>
        </div>
    
        <div id="invoice-bot" style="min-height: 250px; border-top: 1px solid #EEE; padding: 30px;">
          <div id="table" style="width: 100%; border-collapse: collapse;">
            <table style="width: 100%; border-collapse: collapse;">
              <tr style="background: #EEE;">
                <td style="padding: 5px; border: 1px solid #EEE;"><h2 style="margin: 0;">For the Month</h2></td>
                <td style="padding: 5px; border: 1px solid #EEE;"><h2 style="margin: 0;">Count of Invoice</h2></td>
                <td style="padding: 5px; border: 1px solid #EEE;"><h2 style="margin: 0;">Price</h2></td>
                <td style="padding: 5px; border: 1px solid #EEE;"><h2 style="margin: 0;">Status</h2></td>
              </tr>
              <tr style="border: 1px solid #EEE;">
                <td style="padding: 5px; border: 1px solid #EEE;"><p style="margin: 0;">'.$schedule_date.'</p></td>
                <td style="padding: 5px; border: 1px solid #EEE;"><p style="margin: 0;">1</p></td>
                <td style="padding: 5px; border: 1px solid #EEE;"><p style="margin: 0;">$'.$amount.'</p></td>
                <td style="padding: 5px; border: 1px solid #EEE;"><p style="margin: 0;">'.($row['payment_details'] == 1 ? 'Paid' : 'Unpaid').'</p></td>
              </tr>
            </table>
          </div>
          <div id="legalcopy" style="margin-top: 30px;">
            <p style="width:70%;"><strong>Thank you for your business!</strong> Payment is expected within 31 days; please process this invoice within that time. There will be a 5% interest charge per month on late invoices.</p>
          </div>
        </div>
      </div>
    </div>';
    
                  
    
         $emailResult = sendEmail($recipient, $subject, $body);
    
         if ($emailResult !== true) {
            $_SESSION['message'] = "Email error: $emailResult";
        } else {
            $_SESSION['message'] = "Email sent successfully!";
        }












                    $msg = true;
                }
            }
            $count++;
        }

        if (isset($msg)) {
            $_SESSION['message'] = "Successfully imported";
            
            
            
            header('Location: student_information.php');
            exit();
        } else {
            $_SESSION['message'] = "No new data to import.";
            header('Location: student_information.php');
            exit();
        }
    } else {
        die("Invalid file format. Allowed formats: xls, csv, xlsx");
    }
}
?>
